<?php

namespace Drupal\translatable_config_pages;

use Drupal\Core\Language\LanguageInterface;
use Drupal\translatable_config_pages\Entity\TranslatableConfigPages;

/**
 * The load service interface.
 *
 * @package Drupal\translatable_config_pages
 */
interface TranslatableConfigPagesManagerInterface {

  /**
   * Loads config page entity by type and context.
   *
   * @param string $bundle
   *   Config page bundle to load.
   * @param \Drupal\Core\Language\LanguageInterface|null $language
   *   The language to load.
   *
   * @return null|\Drupal\translatable_config_pages\Entity\TranslatableConfigPages
   *   Loaded config page.
   */
  public function loadConfig(string $bundle, LanguageInterface $language = NULL): ?TranslatableConfigPages;

}
